# --- T2-COPYRIGHT-NOTE-BEGIN ---
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# 
# T2 SDE: target/bootdisk/build.sh
# Copyright (C) 2004 - 2005 The T2 SDE Project
# 
# More information can be found in the files COPYING and README.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License. A copy of the
# GNU General Public License can be found in the file COPYING.
# --- T2-COPYRIGHT-NOTE-END ---

disksdir="$build_rock/bootdisk"

if [ "$ROCK_DEBUG_BOOTDISK_NOSTAGE2" != 1 -a \
     "$ROCK_DEBUG_BOOTDISK_NOSTAGE1" != 1 ]
then
	pkgloop
	rm -rf $disksdir; mkdir -p $disksdir; chmod 700 $disksdir
fi

# Re-evaluate CC and other variables (as we have built the cross cc now)
. scripts/parse-config

# Add tools.cross/diet-bin/ to path so we find our 'diet' program
PATH="$base/build/${ROCKCFG_ID}/TOOLCHAIN/tools.cross/diet-bin:$PATH"
export DIETHOME="$base/build/${ROCKCFG_ID}/usr/dietlibc"

if [ "$ROCK_DEBUG_BOOTDISK_NOSTAGE2" != 1 ]
then
	. $base/target/$target/build_stage2.sh
fi

if [ "$ROCK_DEBUG_BOOTDISK_NOSTAGE1" != 1 ]
then
	. $base/target/$target/build_stage1.sh
fi

if [ -f $base/target/$target/$arch/build.sh ]; then
	. $base/target/$target/$arch/build.sh
fi


echo_header "Creating ISO filesystem description."
cd $disksdir; rm -rf isofs; mkdir -p isofs

echo_status "Creating bootdisk/isofs directory.."
ln 2nd_stage.tar.gz 2nd_stage_small.tar.gz isofs/
ln *.img initrd.gz isofs/ 2>/dev/null || true # might not exist on some architectures

echo_status "Creating isofs.txt file .."
echo "DISK1	build/${ROCKCFG_ID}/TOOLCHAIN/bootdisk/isofs/ `
	`${ROCKCFG_SHORTID}/" > ../isofs_generic.txt
cat ../isofs_*.txt > ../isofs.txt

echo_status "Done!"
